# emdapiclimate
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import emdapiclimate
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import emdapiclimate
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import emdapiclimate
from emdapiclimate.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiclimate.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiclimate.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'


# Enter a context with an instance of the API client
with emdapiclimate.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiclimate.ClimateDataApi(api_client)
    service_id = 'service_id_example' # str | Service_id for the dataset
lat = 3.4 # float | Latitude for point (in decimal degrees)
lon = 3.4 # float | Longitude for point (in decimal degrees)
num_points = 1 # int | Number of points to return (optional) (default to 1)
max_distance = 150 # int | Maximum distance (radius) to find data (in km). (optional) (default to 150)

    try:
        # Return list of nearest points (or nodes) for a given location
        api_response = api_instance.climatedata_controller_get_climatecoverage(service_id, lat, lon, num_points=num_points, max_distance=max_distance)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ClimateDataApi->climatedata_controller_get_climatecoverage: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://api.emd.dk*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ClimateDataApi* | [**climatedata_controller_get_climatecoverage**](docs/ClimateDataApi.md#climatedata_controller_get_climatecoverage) | **GET** /coverage/{service_id} | Return list of nearest points (or nodes) for a given location
*ClimateDataApi* | [**climatedata_controller_get_climatedataservices**](docs/ClimateDataApi.md#climatedata_controller_get_climatedataservices) | **GET** /datasets | Return list of available climate dataset services
*ClimateDataApi* | [**climatedata_controller_get_climateorder**](docs/ClimateDataApi.md#climatedata_controller_get_climateorder) | **GET** /order/{service_id} | Place an order for a climate dataset (in order to climatedata_download a time-series). An unique order identifier is returned.
*ClimateDataApi* | [**climatedata_controller_get_climatestatus**](docs/ClimateDataApi.md#climatedata_controller_get_climatestatus) | **GET** /status/{order_id} | Return json with status (PENDING, STARTED, SUCCESS, FAILURE, RETRY, REVOKED, IGNORED) and download_url (when ready) for data order . Use download_url to climatedata_download.


## Documentation For Models

 - [ClimateCoverageResult](docs/ClimateCoverageResult.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [OnlineService](docs/OnlineService.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: X-Auth
- **Location**: HTTP header


## Author




