# coding: utf-8

"""
    EMD-API - for access to EMD Online Data Services

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)  # noqa: E501

    The version of the OpenAPI document: 1.1
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from emdapiclimate.api_client import ApiClient
from emdapiclimate.exceptions import (  # noqa: F401
    ApiTypeError,
    ApiValueError
)


class ClimateDataApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def climatedata_controller_get_climatecoverage(self, service_id, lat, lon, **kwargs):  # noqa: E501
        """Return list of nearest points (or nodes) for a given location  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatecoverage(service_id, lat, lon, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str service_id: Service_id for the dataset (required)
        :param float lat: Latitude for point (in decimal degrees) (required)
        :param float lon: Longitude for point (in decimal degrees) (required)
        :param int num_points: Number of points to return
        :param int max_distance: Maximum distance (radius) to find data (in km).
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: list[ClimateCoverageResult]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        return self.climatedata_controller_get_climatecoverage_with_http_info(service_id, lat, lon, **kwargs)  # noqa: E501

    def climatedata_controller_get_climatecoverage_with_http_info(self, service_id, lat, lon, **kwargs):  # noqa: E501
        """Return list of nearest points (or nodes) for a given location  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatecoverage_with_http_info(service_id, lat, lon, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str service_id: Service_id for the dataset (required)
        :param float lat: Latitude for point (in decimal degrees) (required)
        :param float lon: Longitude for point (in decimal degrees) (required)
        :param int num_points: Number of points to return
        :param int max_distance: Maximum distance (radius) to find data (in km).
        :param _return_http_data_only: response data without head status code
                                       and headers
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: tuple(list[ClimateCoverageResult], status_code(int), headers(HTTPHeaderDict))
                 If the method is called asynchronously,
                 returns the request thread.
        """

        local_var_params = locals()

        all_params = [
            'service_id',
            'lat',
            'lon',
            'num_points',
            'max_distance'
        ]
        all_params.extend(
            [
                'async_req',
                '_return_http_data_only',
                '_preload_content',
                '_request_timeout'
            ]
        )

        for key, val in six.iteritems(local_var_params['kwargs']):
            if key not in all_params:
                raise ApiTypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method climatedata_controller_get_climatecoverage" % key
                )
            local_var_params[key] = val
        del local_var_params['kwargs']
        # verify the required parameter 'service_id' is set
        if self.api_client.client_side_validation and ('service_id' not in local_var_params or  # noqa: E501
                                                        local_var_params['service_id'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `service_id` when calling `climatedata_controller_get_climatecoverage`")  # noqa: E501
        # verify the required parameter 'lat' is set
        if self.api_client.client_side_validation and ('lat' not in local_var_params or  # noqa: E501
                                                        local_var_params['lat'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `lat` when calling `climatedata_controller_get_climatecoverage`")  # noqa: E501
        # verify the required parameter 'lon' is set
        if self.api_client.client_side_validation and ('lon' not in local_var_params or  # noqa: E501
                                                        local_var_params['lon'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `lon` when calling `climatedata_controller_get_climatecoverage`")  # noqa: E501

        if self.api_client.client_side_validation and 'lat' in local_var_params and local_var_params['lat'] > 90:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lat` when calling `climatedata_controller_get_climatecoverage`, must be a value less than or equal to `90`")  # noqa: E501
        if self.api_client.client_side_validation and 'lat' in local_var_params and local_var_params['lat'] < -90:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lat` when calling `climatedata_controller_get_climatecoverage`, must be a value greater than or equal to `-90`")  # noqa: E501
        if self.api_client.client_side_validation and 'lon' in local_var_params and local_var_params['lon'] > 180:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lon` when calling `climatedata_controller_get_climatecoverage`, must be a value less than or equal to `180`")  # noqa: E501
        if self.api_client.client_side_validation and 'lon' in local_var_params and local_var_params['lon'] < -180:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lon` when calling `climatedata_controller_get_climatecoverage`, must be a value greater than or equal to `-180`")  # noqa: E501
        if self.api_client.client_side_validation and 'num_points' in local_var_params and local_var_params['num_points'] > 9:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `num_points` when calling `climatedata_controller_get_climatecoverage`, must be a value less than or equal to `9`")  # noqa: E501
        if self.api_client.client_side_validation and 'num_points' in local_var_params and local_var_params['num_points'] < 1:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `num_points` when calling `climatedata_controller_get_climatecoverage`, must be a value greater than or equal to `1`")  # noqa: E501
        if self.api_client.client_side_validation and 'max_distance' in local_var_params and local_var_params['max_distance'] > 500:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `max_distance` when calling `climatedata_controller_get_climatecoverage`, must be a value less than or equal to `500`")  # noqa: E501
        if self.api_client.client_side_validation and 'max_distance' in local_var_params and local_var_params['max_distance'] < 1:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `max_distance` when calling `climatedata_controller_get_climatecoverage`, must be a value greater than or equal to `1`")  # noqa: E501
        collection_formats = {}

        path_params = {}
        if 'service_id' in local_var_params:
            path_params['service_id'] = local_var_params['service_id']  # noqa: E501

        query_params = []
        if 'lat' in local_var_params and local_var_params['lat'] is not None:  # noqa: E501
            query_params.append(('lat', local_var_params['lat']))  # noqa: E501
        if 'lon' in local_var_params and local_var_params['lon'] is not None:  # noqa: E501
            query_params.append(('lon', local_var_params['lon']))  # noqa: E501
        if 'num_points' in local_var_params and local_var_params['num_points'] is not None:  # noqa: E501
            query_params.append(('num_points', local_var_params['num_points']))  # noqa: E501
        if 'max_distance' in local_var_params and local_var_params['max_distance'] is not None:  # noqa: E501
            query_params.append(('max_distance', local_var_params['max_distance']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['api_key']  # noqa: E501

        return self.api_client.call_api(
            '/coverage/{service_id}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[ClimateCoverageResult]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=local_var_params.get('async_req'),
            _return_http_data_only=local_var_params.get('_return_http_data_only'),  # noqa: E501
            _preload_content=local_var_params.get('_preload_content', True),
            _request_timeout=local_var_params.get('_request_timeout'),
            collection_formats=collection_formats)

    def climatedata_controller_get_climatedataservices(self, **kwargs):  # noqa: E501
        """Return list of available climate dataset services  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatedataservices(async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: list[OnlineService]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        return self.climatedata_controller_get_climatedataservices_with_http_info(**kwargs)  # noqa: E501

    def climatedata_controller_get_climatedataservices_with_http_info(self, **kwargs):  # noqa: E501
        """Return list of available climate dataset services  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatedataservices_with_http_info(async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param _return_http_data_only: response data without head status code
                                       and headers
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: tuple(list[OnlineService], status_code(int), headers(HTTPHeaderDict))
                 If the method is called asynchronously,
                 returns the request thread.
        """

        local_var_params = locals()

        all_params = [
        ]
        all_params.extend(
            [
                'async_req',
                '_return_http_data_only',
                '_preload_content',
                '_request_timeout'
            ]
        )

        for key, val in six.iteritems(local_var_params['kwargs']):
            if key not in all_params:
                raise ApiTypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method climatedata_controller_get_climatedataservices" % key
                )
            local_var_params[key] = val
        del local_var_params['kwargs']

        collection_formats = {}

        path_params = {}

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['api_key']  # noqa: E501

        return self.api_client.call_api(
            '/datasets', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='list[OnlineService]',  # noqa: E501
            auth_settings=auth_settings,
            async_req=local_var_params.get('async_req'),
            _return_http_data_only=local_var_params.get('_return_http_data_only'),  # noqa: E501
            _preload_content=local_var_params.get('_preload_content', True),
            _request_timeout=local_var_params.get('_request_timeout'),
            collection_formats=collection_formats)

    def climatedata_controller_get_climateorder(self, service_id, lat, lon, start_year, end_year, filetype, **kwargs):  # noqa: E501
        """Place an order for a climate dataset (in order to climatedata_download a time-series). An unique order identifier is returned.  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climateorder(service_id, lat, lon, start_year, end_year, filetype, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str service_id: Service_id of dataset considered (required)
        :param float lat: Latitude for point (decimal degrees) (required)
        :param float lon: Longitude for point (required)
        :param int start_year: Start year (required)
        :param int end_year: End year (required)
        :param str filetype: The file type to return from the call; zipraw is for native windpro use with import-filter included (if it exists), zipcsv and csv are ready-to-use csv-dataframes. Csv is tab-separated. (required)
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: str
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        return self.climatedata_controller_get_climateorder_with_http_info(service_id, lat, lon, start_year, end_year, filetype, **kwargs)  # noqa: E501

    def climatedata_controller_get_climateorder_with_http_info(self, service_id, lat, lon, start_year, end_year, filetype, **kwargs):  # noqa: E501
        """Place an order for a climate dataset (in order to climatedata_download a time-series). An unique order identifier is returned.  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climateorder_with_http_info(service_id, lat, lon, start_year, end_year, filetype, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str service_id: Service_id of dataset considered (required)
        :param float lat: Latitude for point (decimal degrees) (required)
        :param float lon: Longitude for point (required)
        :param int start_year: Start year (required)
        :param int end_year: End year (required)
        :param str filetype: The file type to return from the call; zipraw is for native windpro use with import-filter included (if it exists), zipcsv and csv are ready-to-use csv-dataframes. Csv is tab-separated. (required)
        :param _return_http_data_only: response data without head status code
                                       and headers
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: tuple(str, status_code(int), headers(HTTPHeaderDict))
                 If the method is called asynchronously,
                 returns the request thread.
        """

        local_var_params = locals()

        all_params = [
            'service_id',
            'lat',
            'lon',
            'start_year',
            'end_year',
            'filetype'
        ]
        all_params.extend(
            [
                'async_req',
                '_return_http_data_only',
                '_preload_content',
                '_request_timeout'
            ]
        )

        for key, val in six.iteritems(local_var_params['kwargs']):
            if key not in all_params:
                raise ApiTypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method climatedata_controller_get_climateorder" % key
                )
            local_var_params[key] = val
        del local_var_params['kwargs']
        # verify the required parameter 'service_id' is set
        if self.api_client.client_side_validation and ('service_id' not in local_var_params or  # noqa: E501
                                                        local_var_params['service_id'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `service_id` when calling `climatedata_controller_get_climateorder`")  # noqa: E501
        # verify the required parameter 'lat' is set
        if self.api_client.client_side_validation and ('lat' not in local_var_params or  # noqa: E501
                                                        local_var_params['lat'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `lat` when calling `climatedata_controller_get_climateorder`")  # noqa: E501
        # verify the required parameter 'lon' is set
        if self.api_client.client_side_validation and ('lon' not in local_var_params or  # noqa: E501
                                                        local_var_params['lon'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `lon` when calling `climatedata_controller_get_climateorder`")  # noqa: E501
        # verify the required parameter 'start_year' is set
        if self.api_client.client_side_validation and ('start_year' not in local_var_params or  # noqa: E501
                                                        local_var_params['start_year'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `start_year` when calling `climatedata_controller_get_climateorder`")  # noqa: E501
        # verify the required parameter 'end_year' is set
        if self.api_client.client_side_validation and ('end_year' not in local_var_params or  # noqa: E501
                                                        local_var_params['end_year'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `end_year` when calling `climatedata_controller_get_climateorder`")  # noqa: E501
        # verify the required parameter 'filetype' is set
        if self.api_client.client_side_validation and ('filetype' not in local_var_params or  # noqa: E501
                                                        local_var_params['filetype'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `filetype` when calling `climatedata_controller_get_climateorder`")  # noqa: E501

        if self.api_client.client_side_validation and 'lat' in local_var_params and local_var_params['lat'] > 90:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lat` when calling `climatedata_controller_get_climateorder`, must be a value less than or equal to `90`")  # noqa: E501
        if self.api_client.client_side_validation and 'lat' in local_var_params and local_var_params['lat'] < -90:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lat` when calling `climatedata_controller_get_climateorder`, must be a value greater than or equal to `-90`")  # noqa: E501
        if self.api_client.client_side_validation and 'lon' in local_var_params and local_var_params['lon'] > 180:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lon` when calling `climatedata_controller_get_climateorder`, must be a value less than or equal to `180`")  # noqa: E501
        if self.api_client.client_side_validation and 'lon' in local_var_params and local_var_params['lon'] < -180:  # noqa: E501
            raise ApiValueError("Invalid value for parameter `lon` when calling `climatedata_controller_get_climateorder`, must be a value greater than or equal to `-180`")  # noqa: E501
        collection_formats = {}

        path_params = {}
        if 'service_id' in local_var_params:
            path_params['service_id'] = local_var_params['service_id']  # noqa: E501

        query_params = []
        if 'lat' in local_var_params and local_var_params['lat'] is not None:  # noqa: E501
            query_params.append(('lat', local_var_params['lat']))  # noqa: E501
        if 'lon' in local_var_params and local_var_params['lon'] is not None:  # noqa: E501
            query_params.append(('lon', local_var_params['lon']))  # noqa: E501
        if 'start_year' in local_var_params and local_var_params['start_year'] is not None:  # noqa: E501
            query_params.append(('start_year', local_var_params['start_year']))  # noqa: E501
        if 'end_year' in local_var_params and local_var_params['end_year'] is not None:  # noqa: E501
            query_params.append(('end_year', local_var_params['end_year']))  # noqa: E501
        if 'filetype' in local_var_params and local_var_params['filetype'] is not None:  # noqa: E501
            query_params.append(('filetype', local_var_params['filetype']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['api_key']  # noqa: E501

        return self.api_client.call_api(
            '/order/{service_id}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='str',  # noqa: E501
            auth_settings=auth_settings,
            async_req=local_var_params.get('async_req'),
            _return_http_data_only=local_var_params.get('_return_http_data_only'),  # noqa: E501
            _preload_content=local_var_params.get('_preload_content', True),
            _request_timeout=local_var_params.get('_request_timeout'),
            collection_formats=collection_formats)

    def climatedata_controller_get_climatestatus(self, order_id, **kwargs):  # noqa: E501
        """Return json with status (PENDING, STARTED, SUCCESS, FAILURE, RETRY, REVOKED, IGNORED) and download_url (when ready) for data order . Use download_url to climatedata_download.  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatestatus(order_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str order_id: Order_id of request to check for status (required)
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: InlineResponse200
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        return self.climatedata_controller_get_climatestatus_with_http_info(order_id, **kwargs)  # noqa: E501

    def climatedata_controller_get_climatestatus_with_http_info(self, order_id, **kwargs):  # noqa: E501
        """Return json with status (PENDING, STARTED, SUCCESS, FAILURE, RETRY, REVOKED, IGNORED) and download_url (when ready) for data order . Use download_url to climatedata_download.  # noqa: E501

        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.climatedata_controller_get_climatestatus_with_http_info(order_id, async_req=True)
        >>> result = thread.get()

        :param async_req bool: execute request asynchronously
        :param str order_id: Order_id of request to check for status (required)
        :param _return_http_data_only: response data without head status code
                                       and headers
        :param _preload_content: if False, the urllib3.HTTPResponse object will
                                 be returned without reading/decoding response
                                 data. Default is True.
        :param _request_timeout: timeout setting for this request. If one
                                 number provided, it will be total request
                                 timeout. It can also be a pair (tuple) of
                                 (connection, read) timeouts.
        :return: tuple(InlineResponse200, status_code(int), headers(HTTPHeaderDict))
                 If the method is called asynchronously,
                 returns the request thread.
        """

        local_var_params = locals()

        all_params = [
            'order_id'
        ]
        all_params.extend(
            [
                'async_req',
                '_return_http_data_only',
                '_preload_content',
                '_request_timeout'
            ]
        )

        for key, val in six.iteritems(local_var_params['kwargs']):
            if key not in all_params:
                raise ApiTypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method climatedata_controller_get_climatestatus" % key
                )
            local_var_params[key] = val
        del local_var_params['kwargs']
        # verify the required parameter 'order_id' is set
        if self.api_client.client_side_validation and ('order_id' not in local_var_params or  # noqa: E501
                                                        local_var_params['order_id'] is None):  # noqa: E501
            raise ApiValueError("Missing the required parameter `order_id` when calling `climatedata_controller_get_climatestatus`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'order_id' in local_var_params:
            path_params['order_id'] = local_var_params['order_id']  # noqa: E501

        query_params = []

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['api_key']  # noqa: E501

        return self.api_client.call_api(
            '/status/{order_id}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='InlineResponse200',  # noqa: E501
            auth_settings=auth_settings,
            async_req=local_var_params.get('async_req'),
            _return_http_data_only=local_var_params.get('_return_http_data_only'),  # noqa: E501
            _preload_content=local_var_params.get('_preload_content', True),
            _request_timeout=local_var_params.get('_request_timeout'),
            collection_formats=collection_formats)
